Index: trunk/lib/ImageThumb.inc.php
===================================================================
--- trunk/lib/ImageThumb.inc.php	(revision 124)
+++ trunk/lib/ImageThumb.inc.php	(revision 136)
@@ -2,5 +2,5 @@
 /**
  * ImageThumb.inc.php
- * Code by Strangecode :: www.strangecode.com :: This document contains copyrighted information
+ * code by strangecode :: www.strangecode.com :: this document contains copyrighted information
  *
  * @author   Quinn Comendant <quinn@strangecode.com>
@@ -95,4 +95,6 @@
     function setParam($params)
     {
+		$app =& App::getInstance();
+
         if (isset($params) && is_array($params)) {
 
@@ -102,10 +104,10 @@
                 // Must be directory.
                 if (!is_dir($params['source_dir'])) {
-                    App::logMsg(sprintf('Source directory invalid: %s', $params['source_dir']), LOG_ERR, __FILE__, __LINE__);
+                    $app->logMsg(sprintf('Source directory invalid: %s', $params['source_dir']), LOG_ERR, __FILE__, __LINE__);
                     trigger_error(sprintf('Source directory invalid: %s', $params['source_dir']), E_USER_ERROR);
                 }
                 // Must be readable.
                 if (!is_readable($params['source_dir'])) {
-                    App::logMsg(sprintf('Source directory not readable: %s', $params['source_dir']), LOG_ERR, __FILE__, __LINE__);
+                    $app->logMsg(sprintf('Source directory not readable: %s', $params['source_dir']), LOG_ERR, __FILE__, __LINE__);
                     trigger_error(sprintf('Source directory not readable: %s', $params['source_dir']), E_USER_ERROR);
                 }
@@ -115,5 +117,5 @@
             $this->_params = array_merge($this->_params, $params);
         } else {
-            App::logMsg(sprintf('Parameters are not an array: %s', $params), LOG_ERR, __FILE__, __LINE__);
+            $app->logMsg(sprintf('Parameters are not an array: %s', $params), LOG_ERR, __FILE__, __LINE__);
         }
     }
@@ -128,8 +130,10 @@
     function getParam($param)
     {
+		$app =& App::getInstance();
+    
         if (isset($this->_params[$param])) {
             return $this->_params[$param];
         } else {
-            App::logMsg(sprintf('Parameter is not set: %s', $param), LOG_DEBUG, __FILE__, __LINE__);
+            $app->logMsg(sprintf('Parameter is not set: %s', $param), LOG_NOTICE, __FILE__, __LINE__);
             return null;
         }
@@ -144,7 +148,9 @@
     function setSpec($spec, $index=null)
     {
+		$app =& App::getInstance();
+
         // A little sanity checking.
         if (!isset($spec['dest_dir']) || '' == $spec['dest_dir']) {
-            App::logMsg('setSpec error: dest_dir not specified.', LOG_ERR, __FILE__, __LINE__);
+            $app->logMsg('setSpec error: dest_dir not specified.', LOG_ERR, __FILE__, __LINE__);
         }
         if (isset($spec['dest_file_type'])) {
@@ -152,5 +158,5 @@
             case IMG_JPG :
                 if (imagetypes() & IMG_JPG == 0) {
-                    App::logMsg(sprintf('IMG_JPG is not supported by this version of PHP GD.', null), LOG_ERR, __FILE__, __LINE__);
+                    $app->logMsg(sprintf('IMG_JPG is not supported by this version of PHP GD.', null), LOG_ERR, __FILE__, __LINE__);
                 }
                 $spec['dest_file_extention'] = 'jpg';
@@ -158,5 +164,5 @@
             case IMG_PNG :
                 if (imagetypes() & IMG_PNG == 0) {
-                    App::logMsg(sprintf('IMG_PNG is not supported by this version of PHP GD.', null), LOG_ERR, __FILE__, __LINE__);
+                    $app->logMsg(sprintf('IMG_PNG is not supported by this version of PHP GD.', null), LOG_ERR, __FILE__, __LINE__);
                 }
                 $spec['dest_file_extention'] = 'png';
@@ -164,5 +170,5 @@
             case IMG_GIF :
                 if (imagetypes() & IMG_GIF == 0) {
-                    App::logMsg(sprintf('IMG_GIF is not supported by this version of PHP GD.', null), LOG_ERR, __FILE__, __LINE__);
+                    $app->logMsg(sprintf('IMG_GIF is not supported by this version of PHP GD.', null), LOG_ERR, __FILE__, __LINE__);
                 }
                 $spec['dest_file_extention'] = 'gif';
@@ -170,24 +176,24 @@
             case IMG_WBMP :
                 if (imagetypes() & IMG_WBMP == 0) {
-                    App::logMsg(sprintf('IMG_WBMP is not supported by this version of PHP GD.', null), LOG_ERR, __FILE__, __LINE__);
+                    $app->logMsg(sprintf('IMG_WBMP is not supported by this version of PHP GD.', null), LOG_ERR, __FILE__, __LINE__);
                 }
                 $spec['dest_file_extention'] = 'wbmp';
                 break;
             default :
-                App::logMsg(sprintf('Invalid dest_file_type: %s', $spec['dest_file_type']), LOG_ERR, __FILE__, __LINE__);
+                $app->logMsg(sprintf('Invalid dest_file_type: %s', $spec['dest_file_type']), LOG_ERR, __FILE__, __LINE__);
                 break;
             }
         }
         if (!isset($spec['width']) || !is_int($spec['width'])) {
-            App::logMsg('setSpec error: width not specified.', LOG_ERR, __FILE__, __LINE__);
+            $app->logMsg('setSpec error: width not specified.', LOG_ERR, __FILE__, __LINE__);
         }
         if (!isset($spec['height']) || !is_int($spec['height'])) {
-            App::logMsg('setSpec error: height not specified.', LOG_ERR, __FILE__, __LINE__);
+            $app->logMsg('setSpec error: height not specified.', LOG_ERR, __FILE__, __LINE__);
         }
         if (isset($spec['quality']) && IMG_JPG != $spec['dest_file_type']) {
-            App::logMsg('The "quality" specification is not used unless IMG_JPG is the dest_file_type.', LOG_INFO, __FILE__, __LINE__);
+            $app->logMsg('The "quality" specification is not used unless IMG_JPG is the dest_file_type.', LOG_INFO, __FILE__, __LINE__);
         }
         if (isset($spec['progressive']) && IMG_JPG != $spec['dest_file_type']) {
-            App::logMsg('The "progressive" specification is not used unless IMG_JPG is the dest_file_type.', LOG_INFO, __FILE__, __LINE__);
+            $app->logMsg('The "progressive" specification is not used unless IMG_JPG is the dest_file_type.', LOG_INFO, __FILE__, __LINE__);
         }
         
@@ -213,7 +219,9 @@
     function processAll($runtime_specs=null)
     {
+		$app =& App::getInstance();
+
         // Ensure we have a source.
         if ('' == $this->getParam('source_dir')) {
-            App::logMsg(sprintf('Source directory not set before processing.'), LOG_ERR, __FILE__, __LINE__);
+            $app->logMsg(sprintf('Source directory not set before processing.'), LOG_ERR, __FILE__, __LINE__);
             return false;
         }
@@ -237,5 +245,5 @@
             return 0 === $return_val;
         } else {
-            App::logMsg(sprintf('No images found to thumbnail in directory %s.', $this->getParam('source_dir')), LOG_NOTICE, __FILE__, __LINE__);
+            $app->logMsg(sprintf('No images found to thumbnail in directory %s.', $this->getParam('source_dir')), LOG_NOTICE, __FILE__, __LINE__);
             return false;
         }
@@ -252,4 +260,6 @@
     function processFile($file_name, $runtime_specs=null)
     {
+		$app =& App::getInstance();
+
         // Source file determinted by provided file_name.
         $source_file = realpath(sprintf('%s/%s', $this->getParam('source_dir'), $file_name));
@@ -260,5 +270,5 @@
                 $this->setSpec($runtime_specs, 0);
             } else {
-                App::logMsg(sprintf('Image specifications not set before processing.'), LOG_ERR, __FILE__, __LINE__);
+                $app->logMsg(sprintf('Image specifications not set before processing.'), LOG_ERR, __FILE__, __LINE__);
                 return false;                
             }
@@ -267,5 +277,5 @@
         // Ensure we have a source.
         if ('' == $this->getParam('source_dir')) {
-            App::logMsg(sprintf('Source directory not set before processing.'), LOG_ERR, __FILE__, __LINE__);
+            $app->logMsg(sprintf('Source directory not set before processing.'), LOG_ERR, __FILE__, __LINE__);
             return false;
         }
@@ -274,5 +284,5 @@
         if (!file_exists($source_file)) {
             $this->_raiseMsg(sprintf(_("Image resizing failed: source image %s was not found."), $file_name), MSG_ERR, __FILE__, __LINE__);
-            App::logMsg(sprintf('Source image not found: %s', $source_file), LOG_ALERT, __FILE__, __LINE__);
+            $app->logMsg(sprintf('Source image not found: %s', $source_file), LOG_ALERT, __FILE__, __LINE__);
             return false;
         }
@@ -281,5 +291,5 @@
         if (!is_readable($source_file)) {
             $this->_raiseMsg(sprintf(_("Image resizing failed: source image %s is not readable."), $file_name), MSG_ERR, __FILE__, __LINE__);
-            App::logMsg(sprintf('Source image not readable: %s', $source_file), LOG_ALERT, __FILE__, __LINE__);
+            $app->logMsg(sprintf('Source image not readable: %s', $source_file), LOG_ALERT, __FILE__, __LINE__);
             return false;
         }
@@ -288,5 +298,5 @@
         if (filesize($source_file) <= 0) {
             $this->_raiseMsg(sprintf(_("Image resizing failed: source image %s is zero bytes."), $file_name), MSG_ERR, __FILE__, __LINE__);
-            App::logMsg(sprintf('Source image is zero bytes: %s', $source_file), LOG_ALERT, __FILE__, __LINE__);
+            $app->logMsg(sprintf('Source image is zero bytes: %s', $source_file), LOG_ALERT, __FILE__, __LINE__);
             return false;
         }
@@ -295,5 +305,5 @@
         if (!$this->_validFileExtension($file_name)) {
             $this->_raiseMsg(sprintf(_("Image resizing failed: source image %s not a valid type. It must have one of the following file name extensions: %s"), $file_name, join(', ', $this->getParam('valid_file_extensions'))), MSG_ERR, __FILE__, __LINE__);
-            App::logMsg(sprintf('Image resizing failed: source image not of valid type: %s', $source_file), LOG_ERR, __FILE__, __LINE__);
+            $app->logMsg(sprintf('Image resizing failed: source image not of valid type: %s', $source_file), LOG_ERR, __FILE__, __LINE__);
             return false;
         }
@@ -324,5 +334,5 @@
                 $file_size = filesize($dest_file);
                 if (false !== $file_size && $file_size < $spec['keep_filesize']) {
-                    App::logMsg(sprintf('Skipping thumbnail %s. File already exists and file size is less than %s bytes.', $spec['dest_dir'] . '/' . $file_name, $spec['keep_filesize']), LOG_DEBUG, __FILE__, __LINE__);
+                    $app->logMsg(sprintf('Skipping thumbnail %s. File already exists and file size is less than %s bytes.', $spec['dest_dir'] . '/' . $file_name, $spec['keep_filesize']), LOG_DEBUG, __FILE__, __LINE__);
                     continue;
                 }
@@ -333,5 +343,5 @@
             if ($image_size['0'] <= $spec['width'] && $image_size['1'] <= $spec['height'] && !$spec['allow_upscaling']) {
                 $spec['scaling_type'] = IMAGETHUMB_NO_SCALE;
-                App::logMsg(sprintf('Image %s smaller than specified %s thumbnail size. Keeping original size.', $file_name, $spec['dest_dir']), LOG_DEBUG, __FILE__, __LINE__);
+                $app->logMsg(sprintf('Image %s smaller than specified %s thumbnail size. Keeping original size.', $file_name, $spec['dest_dir']), LOG_DEBUG, __FILE__, __LINE__);
             }
 
@@ -339,12 +349,12 @@
             if (IMAGETHUMB_METHOD_NETPBM === $this->getParam('resize_method') && file_exists($this->getParam('anytopnm_binary')) && file_exists($this->getParam('pnmscale_binary')) && file_exists($this->getParam('cjpeg_binary'))) {
                 // Resize using Netpbm binaries.
-                App::logMsg(sprintf('Resizing with Netpbm...', null), LOG_DEBUG, __FILE__, __LINE__);
+                $app->logMsg(sprintf('Resizing with Netpbm...', null), LOG_DEBUG, __FILE__, __LINE__);
                 $return_val += $this->_resizeWithNetpbm($source_file, $dest_file, $spec);
             } else if (IMAGETHUMB_METHOD_GD === $this->getParam('resize_method') && extension_loaded('gd')) {
                 // Resize with GD.
-                App::logMsg(sprintf('Resizing with GD...', null), LOG_DEBUG, __FILE__, __LINE__);
+                $app->logMsg(sprintf('Resizing with GD...', null), LOG_DEBUG, __FILE__, __LINE__);
                 $return_val += $this->_resizeWithGD($source_file, $dest_file, $spec);
             } else {
-                App::logMsg(sprintf('Image thumbnailing failed. Neither Netpbm or GD is available.', null), LOG_DEBUG, __FILE__, __LINE__);
+                $app->logMsg(sprintf('Image thumbnailing failed. Neither Netpbm or GD is available.', null), LOG_DEBUG, __FILE__, __LINE__);
                 return false;
             }
@@ -370,4 +380,6 @@
     function _resizeWithNetpbm($source_file, $dest_file, $spec)
     {
+		$app =& App::getInstance();
+
         // Define pnmscale arguments.
         switch ($spec['scaling_type']) {
@@ -405,5 +417,5 @@
             escapeshellcmd($file_name)
         );
-        App::logMsg(sprintf('ImageThumb Netpbm command: %s', $command), LOG_DEBUG, __FILE__, __LINE__);
+        $app->logMsg(sprintf('ImageThumb Netpbm command: %s', $command), LOG_DEBUG, __FILE__, __LINE__);
         
         // Execute!
@@ -414,8 +426,8 @@
             // Make the thumbnail writable so the user can delete it over ftp without being 'apache'.
             chmod($dest_file, $this->getParam('dest_file_perms'));
-            App::logMsg(sprintf('Successfully resized image %s', $spec['dest_dir'] . '/' . basename($dest_file), $return_val), LOG_DEBUG, __FILE__, __LINE__);
+            $app->logMsg(sprintf('Successfully resized image %s', $spec['dest_dir'] . '/' . basename($dest_file), $return_val), LOG_DEBUG, __FILE__, __LINE__);
         } else {
             // An error occurred.
-            App::logMsg(sprintf('Image %s failed resizing with return value: %s%s', $spec['dest_dir'] . '/' . basename($dest_file), $return_val, empty($output) ? '' : ' (' . getDump($output) . ')'), LOG_ERR, __FILE__, __LINE__);
+            $app->logMsg(sprintf('Image %s failed resizing with return value: %s%s', $spec['dest_dir'] . '/' . basename($dest_file), $return_val, empty($output) ? '' : ' (' . getDump($output) . ')'), LOG_ERR, __FILE__, __LINE__);
         }
 
@@ -438,4 +450,6 @@
     function _resizeWithGD($source_file, $dest_file, $spec)
     {
+		$app =& App::getInstance();
+
         // Get original file dimensions and type.
         list($source_image_width, $source_image_height, $source_image_type) = getimagesize($source_file);
@@ -487,10 +501,10 @@
             $source_image_resource = imagecreatefromwbmp($source_file);
         default :
-            App::logMsg(sprintf('Source image type %s not supported.', $source_image_type), LOG_WARNING, __FILE__, __LINE__);
+            $app->logMsg(sprintf('Source image type %s not supported.', $source_image_type), LOG_WARNING, __FILE__, __LINE__);
             return 1;
             break;
         }
         if (!$source_image_resource) {
-            App::logMsg(sprintf('Error creating %s image in memory from %s', $source_image_type, $source_file), LOG_WARNING, __FILE__, __LINE__);
+            $app->logMsg(sprintf('Error creating %s image in memory from %s', $source_image_type, $source_file), LOG_WARNING, __FILE__, __LINE__);
             return 1;
         }
@@ -501,5 +515,5 @@
         // Resample!
         if (!imagecopyresampled($dest_image_resource, $source_image_resource, 0, 0, 0, 0, $dest_image_width, $dest_image_height, $source_image_width, $source_image_height)) {
-            App::logMsg(sprintf('Error resampling image %s', $source_file), LOG_WARNING, __FILE__, __LINE__);
+            $app->logMsg(sprintf('Error resampling image %s', $source_file), LOG_WARNING, __FILE__, __LINE__);
             return 1;
         }
@@ -528,5 +542,5 @@
             break;
         default :
-            App::logMsg(sprintf('Destination image type %s not supported for image %s.', $spec['dest_file_type'], $dest_file), LOG_WARNING, __FILE__, __LINE__);
+            $app->logMsg(sprintf('Destination image type %s not supported for image %s.', $spec['dest_file_type'], $dest_file), LOG_WARNING, __FILE__, __LINE__);
             return 1;
             break;
@@ -537,9 +551,9 @@
             // Make the thumbnail writable so the user can delete it over ftp without being 'apache'.
             chmod($dest_file, $this->getParam('dest_file_perms'));
-            App::logMsg(sprintf('Successfully resized image %s', $dest_file), LOG_DEBUG, __FILE__, __LINE__);
+            $app->logMsg(sprintf('Successfully resized image %s', $dest_file), LOG_DEBUG, __FILE__, __LINE__);
             return 0;
         } else {
             // An error occurred.
-            App::logMsg(sprintf('Image %s failed resizing.', $dest_file), LOG_ERR, __FILE__, __LINE__);
+            $app->logMsg(sprintf('Image %s failed resizing.', $dest_file), LOG_ERR, __FILE__, __LINE__);
             return 1;
         }
@@ -555,7 +569,9 @@
     function deleteThumbs($file_name)
     {
+		$app =& App::getInstance();
+
         // Ensure we have a source.
         if ('' == $this->getParam('source_dir')) {
-            App::logMsg(sprintf('Source directory not set before processing.'), LOG_ERR, __FILE__, __LINE__);
+            $app->logMsg(sprintf('Source directory not set before processing.'), LOG_ERR, __FILE__, __LINE__);
             return false;
         }
@@ -567,5 +583,5 @@
                 if (!unlink($dest_file)) {
                     $return_val++;
-                    App::logMsg(sprintf(_("Delete thumbs failed: %s"), $dest_file), LOG_WARNING, __FILE__, __LINE__);
+                    $app->logMsg(sprintf(_("Delete thumbs failed: %s"), $dest_file), LOG_WARNING, __FILE__, __LINE__);
                 }
             }
@@ -584,7 +600,9 @@
     function deleteOriginal($file_name)
     {
+		$app =& App::getInstance();
+
         // Ensure we have a source.
         if ('' == $this->getParam('source_dir')) {
-            App::logMsg(sprintf('Source directory not set before processing.'), LOG_ERR, __FILE__, __LINE__);
+            $app->logMsg(sprintf('Source directory not set before processing.'), LOG_ERR, __FILE__, __LINE__);
             return false;
         }
@@ -592,5 +610,5 @@
         $source_file = realpath(sprintf('%s/%s', $this->getParam('source_dir'), $file_name));
         if (!unlink($source_file)) {
-            App::logMsg(sprintf(_("Delete original failed: %s"), $source_file), LOG_WARNING, __FILE__, __LINE__);
+            $app->logMsg(sprintf(_("Delete original failed: %s"), $source_file), LOG_WARNING, __FILE__, __LINE__);
             return false;
         }
@@ -608,7 +626,9 @@
     function exists($file_name)
     {
+		$app =& App::getInstance();
+
         // Ensure we have a source.
         if ('' == $this->getParam('source_dir')) {
-            App::logMsg(sprintf('Source directory not set before processing.'), LOG_ERR, __FILE__, __LINE__);
+            $app->logMsg(sprintf('Source directory not set before processing.'), LOG_ERR, __FILE__, __LINE__);
             return false;
         }
@@ -639,4 +659,6 @@
     function _createDestDirs()
     {
+		$app =& App::getInstance();
+
         static $already_checked = false;
 
@@ -644,5 +666,5 @@
             // Ensure we have a source.
             if ('' == $this->getParam('source_dir')) {
-                App::logMsg(sprintf('Source directory not set before creating destination directories.'), LOG_ERR, __FILE__, __LINE__);
+                $app->logMsg(sprintf('Source directory not set before creating destination directories.'), LOG_ERR, __FILE__, __LINE__);
                 return false;
             }
@@ -654,5 +676,5 @@
                     if (!mkdir($this->getParam('source_dir') . '/' . $spec['dest_dir'], $this->getParam('dest_dir_perms'))) {
                         $return_val++;
-                        App::logMsg(sprintf('mkdir failure: %s', $this->getParam('source_dir') . '/' . $spec['dest_dir']), LOG_ERR, __FILE__, __LINE__);
+                        $app->logMsg(sprintf('mkdir failure: %s', $this->getParam('source_dir') . '/' . $spec['dest_dir']), LOG_ERR, __FILE__, __LINE__);
                     }
                 }
@@ -667,5 +689,5 @@
 
     /**
-     * An alias for App::raiseMsg that only sends messages configured by display_messages.
+     * An alias for $app->raiseMsg that only sends messages configured by display_messages.
      *
      * @access public
@@ -679,6 +701,8 @@
     function _raiseMsg($message, $type, $file, $line)
     {
+		$app =& App::getInstance();
+
         if ($this->getParam('display_messages') === true || (is_int($this->getParam('display_messages')) && $this->getParam('display_messages') & $type > 0)) {
-            App::raiseMsg($message, $type, $file, $line);
+            $app->raiseMsg($message, $type, $file, $line);
         }
     }
Index: trunk/lib/MCVE.inc.php
===================================================================
--- trunk/lib/MCVE.inc.php	(revision 124)
+++ trunk/lib/MCVE.inc.php	(revision 136)
@@ -1,5 +1,8 @@
 <?php
 /**
- * The MCVE:: class provides functions for communicating with a MCVE server.
+ * MCVE.inc.php
+ * code by strangecode :: www.strangecode.com :: this document contains copyrighted information
+ *
+ * The MCVE class provides functions for communicating with a MCVE server.
  *
  * @author  Quinn Comendant <quinn@strangecode.com>
@@ -22,4 +25,6 @@
     function MCVE($username, $password)
     {
+		$app =& App::getInstance();
+
         // Ensure PHP was compiled with the MCVE functions.
         if (!extension_loaded('mcve')) {
@@ -27,5 +32,5 @@
         }
         if ('' == $username || '' == $password) {
-            App::logMsg(sprintf('Empty username or password provided.', null), LOG_ERR, __FILE__, __LINE__);
+            $app->logMsg(sprintf('Empty username or password provided.', null), LOG_ERR, __FILE__, __LINE__);
         }
         $this->username = $username;
@@ -35,4 +40,6 @@
     function _connect()
     {
+		$app =& App::getInstance();
+
         if ($this->connected) {
             return true;
@@ -49,5 +56,5 @@
         case 'ip' :
             if (!MCVE_SetIP($this->conn, $this->host, $this->ip_port)) {
-                App::logMsg('Could not set method to IP.', LOG_ERR, __FILE__, __LINE__);
+                $app->logMsg('Could not set method to IP.', LOG_ERR, __FILE__, __LINE__);
                 return false;
             }
@@ -55,5 +62,5 @@
         case 'ssl' :
             if (!MCVE_SetSSL($this->conn, $this->host, $this->ssl_port)) {
-                App::logMsg('Could not set method to IP.', LOG_ERR, __FILE__, __LINE__);
+                $app->logMsg('Could not set method to IP.', LOG_ERR, __FILE__, __LINE__);
                 return false;
             }
@@ -61,10 +68,10 @@
         case 'dropfile' :
             if (!MCVE_SetDropFile($this->conn, '/var/mcve/trans')) {
-                App::logMsg('Could not set method to IP.', LOG_ERR, __FILE__, __LINE__);
+                $app->logMsg('Could not set method to IP.', LOG_ERR, __FILE__, __LINE__);
                 return false;
             }
             break;
         default :
-            App::logMsg('Connection method not defined.', LOG_ERR, __FILE__, __LINE__);
+            $app->logMsg('Connection method not defined.', LOG_ERR, __FILE__, __LINE__);
             return false;
         }
@@ -75,5 +82,5 @@
         // non-blocking, but future versions of php_mcve will default to blocking.
         if (!MCVE_SetBlocking($this->conn, $this->blocking)) {
-            App::logMsg('Could not set blocking mode.', LOG_ERR, __FILE__, __LINE__);
+            $app->logMsg('Could not set blocking mode.', LOG_ERR, __FILE__, __LINE__);
             return false;
         }
@@ -81,5 +88,5 @@
         // Maximum of 30s per transaction allowed. Timeout occurs on server-end, not client-end
         if (!MCVE_SetTimeout($this->conn, $this->timeout)) {
-            App::logMsg('Could not set timeout.', LOG_ERR, __FILE__, __LINE__);
+            $app->logMsg('Could not set timeout.', LOG_ERR, __FILE__, __LINE__);
             return false;
         }
@@ -88,5 +95,5 @@
         if (!MCVE_Connect($this->conn)) {
             $error = MCVE_ConnectionError($this->conn);
-            App::logMsg("Connection failed: $error. Are you sure the MCVE engine is running?", LOG_ERR, __FILE__, __LINE__);
+            $app->logMsg("Connection failed: $error. Are you sure the MCVE engine is running?", LOG_ERR, __FILE__, __LINE__);
             return false;
         }
@@ -117,7 +124,9 @@
     function sendTrans($tid, $type='', $hide_msg=false)
     {
+		$app =& App::getInstance();
+
         // Finalize structuring of  to MCVE and ready it to be sent
         if (!MCVE_TransSend($this->conn, $tid)) {
-            App::logMsg('Transaction improperly structured, possibly not enough info.', LOG_ERR, __FILE__, __LINE__);
+            $app->logMsg('Transaction improperly structured, possibly not enough info.', LOG_ERR, __FILE__, __LINE__);
             return false;
         }
@@ -139,11 +148,11 @@
         // Check to see if transaction was successful or not using a strict success/fail function
         if ($ret_status == MCVE_FAIL) {
-            App::raiseMsg(sprintf('MCVE %s failure: %s %s', $type, $ret_text, ('' == $verbiage ? '' : '(' . trim($verbiage) . ')')), MSG_WARNING, __FILE__, __LINE__);
+            $app->raiseMsg(sprintf('MCVE %s failure: %s %s', $type, $ret_text, ('' == $verbiage ? '' : '(' . trim($verbiage) . ')')), MSG_WARNING, __FILE__, __LINE__);
             return false;
         } else if ($ret_status == MCVE_SUCCESS) {
             if (!$hide_msg) {
-                App::raiseMsg(sprintf(_("MCVE %s success: %s %s"), $type, $ret_text, ('' == $verbiage ? '' : '(' . trim($verbiage) . ')')), MSG_SUCCESS, __FILE__, __LINE__);
+                $app->raiseMsg(sprintf(_("MCVE %s success: %s %s"), $type, $ret_text, ('' == $verbiage ? '' : '(' . trim($verbiage) . ')')), MSG_SUCCESS, __FILE__, __LINE__);
             }
-            App::logMsg(sprintf(_("MCVE success details. Auth: %s; Batch: %s; Item: %s; TTID: %s; AVS: %s; CV: %s."),
+            $app->logMsg(sprintf(_("MCVE success details. Auth: %s; Batch: %s; Item: %s; TTID: %s; AVS: %s; CV: %s."),
                 MCVE_TransactionAuth($this->conn, $tid),
                 MCVE_TransactionBatch($this->conn, $tid),
@@ -155,5 +164,5 @@
             return true;
         } else {
-            App::logMsg(sprintf('Transaction failed. Unknown return code: %s', $ret_status), LOG_ERR, __FILE__, __LINE__);
+            $app->logMsg(sprintf('Transaction failed. Unknown return code: %s', $ret_status), LOG_ERR, __FILE__, __LINE__);
             return false;
         }
Index: trunk/lib/Nav.inc.php
===================================================================
--- trunk/lib/Nav.inc.php	(revision 124)
+++ trunk/lib/Nav.inc.php	(revision 136)
@@ -1,5 +1,8 @@
 <?php
 /**
- * The Nav:: class provides a system for working with navigation elements.
+ * Nav.inc.php
+ * code by strangecode :: www.strangecode.com :: this document contains copyrighted information
+ *
+ * The Nav class provides a system for working with navigation elements.
  * Currently it supports storing page titles and URLs for printing breadcrumbs
  * and titles, as well as setting page features such as hiding the page title on
@@ -201,4 +204,6 @@
     function getBreadcrumbs($page_id=null)
     {
+		$app =& App::getInstance();
+
         $page_id = $this->_calculatePageID($page_id);
 
@@ -219,5 +224,5 @@
                     } else if ($crumb_count > $this->getFeature('chop_breadcrumb_links')) {
                         // A normal linked crumb.
-                        $breadcrumbs .= oTxt($pathmark, true) . '<a href="' . App::oHREF($page['url']) . '">' . sprintf($this->last_crumb_format, oTxt($page['title'], true)) . '</a>';
+                        $breadcrumbs .= oTxt($pathmark, true) . '<a href="' . $app->oHREF($page['url']) . '">' . sprintf($this->last_crumb_format, oTxt($page['title'], true)) . '</a>';
                     }
                 } else {
@@ -227,5 +232,5 @@
                     } else {
                         // A normal linked crumb.
-                        $breadcrumbs .= oTxt($pathmark, true) . '<a href="' . App::oHREF($page['url']) . '">' . oTxt($page['title'], true) . '</a>';
+                        $breadcrumbs .= oTxt($pathmark, true) . '<a href="' . $app->oHREF($page['url']) . '">' . oTxt($page['title'], true) . '</a>';
                     }
                 }
